package cz.moneta.test.dsl.ufo.banka.pages.loans;

import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.creditCard.NKK004_S001_ProductTransferPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.DOK001_S001_SelectionOfSubmittedDocumentsPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.ODS003_S001_AddCodeOfRecommendedPersonPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.consolidation.UDC005_S001_LoanConsolidationScoringCommitmentsPage;
import cz.moneta.test.harness.support.web.Builder;

public interface NEP002_S001_ApplicantPageTransitions extends Builder {

    NEP001_S004_ApplicationDataPage onApplicationDataPage();

    NEP028_S001_SignaturePage onSignaturePage();

    ODS003_S001_AddCodeOfRecommendedPersonPage onPromoCodePage();

    UDC005_S001_LoanConsolidationScoringCommitmentsPage onLoanConsolidationCommitmentsPage();

    DOK001_S001_SelectionOfSubmittedDocumentsPage onIdSelectionPage();

    NKK004_S001_ProductTransferPage onProductTransferPage();

    NEP001_S004_ApplicationDataPage onApplicationDataPageTwo();

    PSP004_S001_PrintPage onPrintPage();

    TIS050_S001_SignerSelectionPage onSignerSelectionPage();

}
